﻿using System;
using System.Collections.Generic;
 
using System.Windows.Forms;

namespace LifeGameScreenSaver
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {

            if (args.Length > 0)
            {
                if (args[0].Substring(0, 2).Equals("/c"))
                {
                    MessageBox.Show("此屏幕保护没有可供设置的选项！", "用C＃制造屏幕保护",
                    MessageBoxButtons.OK, MessageBoxIcon.Information);
                    Application.Exit();
                }
                else if (args[0] == "/a")
                {
                    MessageBox.Show("此屏幕保护没有可供设定口令的选项！", "用C＃制造屏幕保护",
                    MessageBoxButtons.OK, MessageBoxIcon.Information);
                    Application.Exit();
                }
            }
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new LifeGameForm());
        }
    }
}
